.seg-container {
    position: relative;
    text-align: center;
    padding: 0;
    justify-content: center;
}
.seg-container:hover > .seg-btn {
    text-decoration: none;
    opacity: 1;
}
    
.seg-container .seg-inner {
    position: relative;
}
.seg-container .danz-img {
    position: absolute;
    align-self: center;
    top: 0;
    left: 0;
    right: 0;
    margin: auto auto;
    width: 100%;
    height: 118px;
    background-color: rgb(7, 7, 7);
}
.seg-container .seg-btn {
    color: rgb(245, 243, 243);
    position: absolute;
    align-self: center;
    top: 50px;
    left: 0;
    right: 0;
    margin: auto auto;
    z-index: 1;
    width: 150px;
    padding: 15px 5px;
    opacity: 0;
    border: 3px solid #ffffff;
    border-radius: 3px;
    background-color: black;
    transition: all .8s;
}
@media all and (max-width: 1204px ){
    .seg-container .seg-btn {
        color: rgb(245, 243, 243);
        position: absolute;
        align-self: center;
        top: 45px;
        left: 0;
        right: 0;
        margin: auto auto;
        z-index: 1;
        width: 150px;
        padding: 5px 0;
        opacity: 0;
        border: 3px solid #ffffff;
        border-radius: 3px;
        background-color: black;
        transition: all .8s;
    }
}
@media all and (max-width: 768px ){
    .seg-container .seg-btn {
        color: rgb(245, 243, 243);
        position: absolute;
        align-self: center;
        top: 35px;
        left: 0;
        right: 0;
        margin: auto auto;
        z-index: 1;
        width: 150px;
        padding: 5px 0;
        opacity: 0;
        border: 3px solid #ffffff;
        border-radius: 3px;
        background-color: black;
        transition: all .8s;
    }
}
@media all and (max-width: 450px ){
    .seg-container .seg-btn {
        color: rgb(245, 243, 243);
        position: absolute;
        align-self: center;
        top: 50px;
        left: 0;
        right: 0;
        margin: auto auto;
        z-index: 1;
        width: 150px;
        padding: 10px 0;
        opacity: 0;
        border: 3px solid #ffffff;
        border-radius: 3px;
        background-color: black;
        transition: all .8s;
    }
}
@media all and (max-width: 322px ){
    .seg-container .seg-btn {
        color: rgb(245, 243, 243);
        position: absolute;
        align-self: center;
        top: 33px;
        left: 0;
        right: 0;
        margin: auto auto;
        z-index: 1;
        width: 150px;
        padding: 7px 0;
        opacity: 0;
        border: 3px solid #ffffff;
        border-radius: 3px;
        background-color: black;
        transition: all .8s;
    }
}